Actions APIReferenceVaultsSlugInstant redeem
Read available instant redemption liquidity for a NestVault asset.
Path Parameters
slug*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
redemptionAsset*string
ERC20 address of the desired instant redemption asset on the requested chain.
Match
^0x[a-fA-F0-9]{40}$chainId*integer
EVM chain ID. Must be supported and must match a chain the vault is deployed on.
Range
0 < valueResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/vaults/nest-wisdom-vault/instant-redeem/liquidity" \ -H "Content-Type: application/json" \ -d '{ "redemptionAsset": "0x222365ef19f7947e5484218551b56bb3965aa7af", "chainId": 98866 }'{ "data": { "redemptionType": "nest", "slug": "string", "chainId": 0, "shareTokenAddress": "string", "redemptionAsset": "string", "nestVaultAddress": "string", "liquidity": "string", "fees": { "ratePpm": 0, "flatAmount": "string", "maxRatePpm": 0, "maxFlatAmount": "string" }, "redemptionDecimals": 0 }}